Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 766883

Summary: Review Request: gerris - computational fluid dynamics flow solver
Product: [Fedora] Fedora Reporter: Jonathan Underwood <jonathan.underwood>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: james.hogarth, package-review, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: NotReady
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-04 03:29:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Jonathan Underwood 2011-12-12 18:45:16 UTC
Spec URL: http://fedorapeople.org/~jgu/gerris.spec
SRPM URL: http://fedorapeople.org/~jgu/gerris-1.3.2-3.20111123.el6.src.rpm
Description: Gerris is an Open Source Free Software library for the solution of the partial differential equations describing fluid flow.

Comment 1 Susi Lehtola 2011-12-13 10:42:50 UTC
You're building an MPI version, so you need to comply to the MPI guidelines
http://fedoraproject.org/wiki/Packaging/MPI

regarding the placement of libraries and binaries.

Comment 2 Jonathan Underwood 2011-12-14 00:03:09 UTC
Those guidelines must have been written by someone on crack, seriously.

Comment 3 Jonathan Underwood 2012-02-02 14:48:34 UTC
Spec URL: http://fedorapeople.org/~jgu/gerris.spec
SRPM URL: http://fedorapeople.org/~jgu/gerris-1.3.2-4.20111123.el6.src.rpm


OK, new version of the packages which properly build -openmpi and -mpich2 subpackages complying with the MPI packaging guidelines (as far as I can tell).

A key change here is that I no longer split out -libs and -devel subpackages since the main runtime actually requires both the -devel and -libs packages if I go that route - gerris performs on-the-fly compilation of functions, and the upstream maintainer recommended not splitting them out:

https://groups.google.com/group/gerris-devel/browse_thread/thread/5fc0c66332abe09f?hl=en

The only possible advantage to splitting out the -devel and -libs packages is for other programs to build against, but the binary runtimes are so small that I really don't think this is useful (as we'd then end up with 10 instead of 4 subpackages).

At this point I have this building on RHEL6 but haven't had chance to build on rawhide yet.

Comment 4 Jonathan Underwood 2012-02-04 23:33:08 UTC
Updated package with a few fixes:

Spec URL: http://fedorapeople.org/~jgu/gerris.spec
SRPM URL: http://fedorapeople.org/~jgu/gerris-1.3.2-6.20111123.el6.src.rpm

Comment 5 Jason Tibbitts 2013-04-30 22:59:48 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This one fails to build for me, due to come autoconf issues.  Here's a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5319486

Comment 6 Jonathan Underwood 2013-05-03 16:15:27 UTC
Our local needs for this package have dropped for this, so I don't forsee having time to work on it until after July, at which point I'll pick it up. Feel free to close it, or leave it open.

Comment 7 Jason Tibbitts 2013-05-03 18:14:50 UTC
Having the ticket visible with nothing to review wastes reviewer time looking at it, to the point that most people don't bother looking at old tickets because most of them aren't reviewable.

I guess I'll stick NotReady in the whiteboard so it at least drops out of the reports.

Comment 8 James Hogarth 2015-12-04 03:29:50 UTC
I'm closing this bug as a stalled review so that anyone else interested can pick it up. This follows on from the requesters comment in 6.